TOTP 인증기

앱 없이 2단계 코드 보기: 비밀번호 키를 한 번 붙여 넣으면 현재 코드가 나와요.

  • 완전 오프라인
  • 키는 기기에만
  • 6·8자리

2단계 코드

자릿수
갱신 주기

QR 아래 “직접 입력” 키나 otpauth:// 링크를 붙여 넣으세요. 키는 브라우저를 떠나지 않아요.

비밀번호 키를 붙여 넣고 코드 보기를 눌러 주세요.

계산 방법

키와 현재 시간 구간 값을 HMAC(SHA-1, SHA-256, SHA-512)으로 합친 뒤 일부를 잘라 6·8자리 숫자로 만들어요. RFC 6238의 TOTP 방식이고, otpauth:// 링크를 넣으면 자릿수·주기·알고리즘을 자동으로 맞춰요. 기기 시계가 대략 맞아야 해요.

키 + 시간 ÷ 30 → HMAC-SHA1 → 6자리

키는 어디에 있나요?

  • 새로 등록할 때: QR코드 옆의 “스캔할 수 없나요?”나 “직접 입력”이 바로 키예요.
  • 키 안의 공백과 대시는 무시되고, 소문자로 넣어도 돼요.
  • 키를 잃어버리면: 이 페이지에서는 되찾을 수 없어요. 해당 사이트에서 2단계를 다시 등록해 새 키를 받으세요.

활용 팁

  • 여기는 예비 조회용으로 쓰고, 키는 비밀번호 관리자에도 따로 보관하세요.
  • 코드가 계속 틀리면 기기 시계부터 확인하세요.
  • 모든 계산은 브라우저에서 이뤄지고, 어디에도 업로드되지 않아요.

계산 기준과 출처

  • 시간 기반 일회용 비밀번호(TOTP): RFC 6238, HMAC 핵심: RFC 4226
  • Base32 인코딩: RFC 4648

최종 검토 2026년 10월 12일

자주 묻는 질문

비밀번호 키는 어디서 봐요?

2단계 설정용 QR코드 옆에 보통 “스캔할 수 없나요?”나 “직접 입력” 링크가 있어요. 그 문자열이 키예요.

코드가 계속 틀리다고 나와요.

거의 항상 시계 문제예요. TOTP는 시간에 따라 달라져서 기기 시간이 몇 분만 어긋나도 틀린 코드가 나와요. 날짜·시간 자동 설정부터 확인하세요.

여기에 키를 붙여 넣어도 안전해요?

이 페이지는 완전 오프라인으로 돌아가고 키는 브라우저를 떠나지 않아요. 그래도 여기는 예비 조회용으로 쓰고, 키는 비밀번호 관리자에도 보관하세요.

키를 잃어버리면 어떻게 해요?

여기서는 되찾을 수 없어요. 해당 사이트에서 2단계를 껐다 켜서 새 키를 받으세요.

관련 태그

다른 도구

결과는 참고용이에요. 계산이 틀릴 수 있고, 법적·의료적·재정적 조언이 아니에요. 중요한 결정 전에는 꼭 해당 기관·전문가에게 확인하세요.

검색